<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2005, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.

$Id: peer.asp,v 1.13 2005/07/01 00:25:19 dtutuianu Exp $
-->

<html lang="en">
<head>
<title>Connect to Another Device</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="style.css" media="screen">
<script language="JavaScript" type="text/javascript" src="overlib.js"></script>
<script language="JavaScript" type="text/javascript">
<!--
function wl_channel_list_change()
{
	var channels = new Array(0);
	var country = "<% nvram_get("wl0_country_code"); %>";
	var cur = 0;
	var sel = 0;

	/* Save current channel */
	for (i = 0; i < document.forms[0].wl_channel.length; i++) {
		if (document.forms[0].wl_channel[i].selected) {
			cur = document.forms[0].wl_channel[i].value;
			break;
		}
	}

	<% wl_channel_list("b"); %>
	
	/* Reconstruct channel array from new channels */
	document.forms[0].wl_channel.length = channels.length;
	for (var i in channels) {
		if (channels[i] == 0)
			document.forms[0].wl_channel[i] = new Option("Auto", channels[i]);
		else
			document.forms[0].wl_channel[i] = new Option(channels[i], channels[i]);
		document.forms[0].wl_channel[i].value = channels[i];
		if (channels[i] == cur) {
			document.forms[0].wl_channel[i].selected = true;
			sel = 1;
		}
	}

	if (sel == 0)
		document.forms[0].wl_channel[0].selected = true;
}

function wl_wep_change()
{
	var wep = document.forms[0].wl_wep[document.forms[0].wl_wep.selectedIndex].value;
			
	if (wep == "disabled") {
		document.forms[0].wl_key1.disabled = 1;
	} else {
		document.forms[0].wl_key1.disabled = 0;
	}

	//if it's WEP show WEP properties
	setVisibility('wep', true);
	setVisibility('wep1', true);
}
//-->
</script>
</head>

<body bgcolor="red" onLoad="wl_channel_list_change();wl_wep_change();">
<center>
<table border="0" cellpadding="0" cellspacing="0" width="720" bgcolor="#ff0000">
  <tr>
<td><a href="index.asp"><img src="setup-on.gif" border=0></a></td>
<td><a href="status.asp"><img src="status-off.gif" border=0></a></td>
<td><a href="wireless.asp"><img src="wireless-off.gif" border=0></a></td>
<td><a href="security.asp"><img src="security-off.gif" border=0></a></td>
<td><a href="advanced.asp"><img src="advanced-off.gif" border=0></a></td>
<td><a href="tools.asp"><img src="tools-off.gif" border=0></a></td>
<td width=393></td>
</tr>
  <tr>
    <td colspan=7><img border="0" src="usr-banner.jpg" alt=""></td>
  </tr>
</table>

<table border="0" cellpadding="5" cellspacing="0" width="720" bgcolor=white>
  <tr><td>

<h2>Connecting to Another Device </h2>

<p><span class="clsLabel">In order to connect two wireless devices directly, they must know the name that identifies the network (Service Set IDentifier or SSID), and they must use the same channel to transmit and receive data.</p>

<hr size="3">

<h3>Network Name (SSID)</h3>

<p>Enter the network name that both wireless devices will use.</p></span>
<p><img src="5430-SSID-adhoc-icon.gif" width="393" height="111"></p>

<form name="idForm" method="post" action="peer.asp">
<input type="hidden" name="page" value="peer.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="wl_mode" value="adhoc">
<input type="hidden" name="wl_key" value="1">

<p><span class="clsLabel">SSID:</span>
 <input type="text" size="35" maxlength="32" class="clsTextfield" name="wl_ssid" value="<% nvram_get("wl_ssid"); %>">

<hr size="1">

<h3>Channel</h3>

<p><span class="clsLabel">A wireless device transmits and receives signals on a specific channel. In order for two wireless devices to connect directly to each other, they must use the same channel. If you experience a poor connection, you can try selecting a different channel.</p></span>

<p><span class="clsLabel">Channel:</span>
   <select name="wl_channel">
		<option value="<% nvram_get("wl_channel"); %>" selected></option>
   </select>
</p>

  <hr size="1">
  <h3>Data Encryption</h3>
  <span class="clsLabel">
  <p>If your wireless router and/or access point is configured to use WEP encryption, select <b>Open System</b> or <b>Shared Key</b> in the Authentication field, select <b>Enabled</b> in the WEP Encryption field, and enter the WEP network key below in the Network Key field.<br>
   If no encryption is used then select <b>Open System</b> in the Authentication field and select <b>Disabled</b> in the WEP Encryption field.
   <font size="1"><a href="javascript:popUpWin('wep-more.asp','yes','no','no','no','yes','yes',575,520,10,10)">Need more information?</a></font>
 </p>
 </span>
  <p>
    <table border="0">
    <tr>
    	<td class="clsLabel">Authentication:</td>
    	<td>
	<select name="cbAuthEncrypt" onChange="wl_wep_change();">
	  <option value="open" <% nvram_match("cbAuthEncrypt", "open", "selected"); %>>Open System</option>
	  <option value="shared" <% nvram_match("cbAuthEncrypt", "shared", "selected"); %>>Shared Key</option>
	</select>
	</td>
     </tr>
     <tr id="wep" style="display:none;">
    	<td class="clsLabel">WEP Encryption:</td>
    	<td>
	<select name="wl_wep" onChange="wl_wep_change();">
	  <option value="disabled" <% nvram_match("wl_wep", "disabled", "selected"); %>>Disabled</option>
	  <option value="enabled" <% nvram_match("wl_wep", "enabled", "selected"); %>>Enabled</option>
 	</select>
    	</td>
    </tr>
    <tr id="wep1" style="display:none;">
     	<td class="clsLabel">Network Key:</td>
   	<td><input type="txt" size="30" maxlength="26" class="clsTextfield" name="wl_key1" value="<% nvram_get("wl_key1"); %>" ></td>
     </tr>
   </table>
   </p>

  <hr size="1">
  <p>When you've finished entering the required information, click <strong>Save</strong> to proceed.</p>
  <p>
    <input type="submit" name="action" value="Save" class="clsButton">
  </p>
</form>

</td></tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="720" bgcolor="#ff0000">
  <tr>
<td><br>
<p align=left><font size=1>&#0169;2004-2005 U.S. Robotics Corporation.</font></p>
</td></tr>
</table>
</center>
</body>
</html>
